SpareSpare Docs
GuidesAPI Reference

Mandates

Schedule, approve, and list transactions for recurring payment mandates.

POST
/mandate/schedule
Authorization
Header

HMAC signature of the request payload, required on endpoints that mandate request signing.

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Body
*object

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/mandate/schedule" \  -H "x-signature: string" \  -H "x-tenant: KSA" \  -H "Content-Type: application/json" \  -d '{    "executionDate": "string",    "mandateId": "string"  }'
{  "data": {    "approvedAmount": 0,    "approvedAt": "string",    "executionDate": "string",    "id": "string",    "isApproved": true,    "isVariable": true,    "mandateId": "string",    "maxAmount": 0,    "status": "string"  },  "error": "string",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}
PATCH
/mandate/approve
Authorization
Header

HMAC signature of the request payload, required on endpoints that mandate request signing.

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Body
*object

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/mandate/approve" \  -H "x-signature: string" \  -H "x-tenant: KSA" \  -H "Content-Type: application/json" \  -d '{    "mandateId": "string",    "transactionId": "string"  }'
{  "data": {    "approvedAmount": 0,    "approvedAt": "string",    "executionDate": "string",    "id": "string",    "isApproved": true,    "isVariable": true,    "mandateId": "string",    "maxAmount": 0,    "status": "string"  },  "error": "string",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}
GET
/mandate/{mandateId}/transactions
Authorization
Path

UUID of the mandate.

Header

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/mandate/string/transactions" \  -H "x-tenant: KSA"
{  "data": [    {      "approvedAmount": 0,      "approvedAt": "string",      "executionDate": "string",      "id": "string",      "isApproved": true,      "isVariable": true,      "mandateId": "string",      "maxAmount": 0,      "status": "string"    }  ],  "error": "string",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}